Bug 443584 - does not intialize plugins when started via evolution
Summary: does not intialize plugins when started via evolution
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-22 12:08 UTC by Martin Jürgens
Modified: 2018-04-11 15:36 UTC (History)
2 users (show)

Fixed In Version: firefox-3.0.1-1.fc9.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-26 21:32:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Jürgens 2008-04-22 12:08:44 UTC
Description of problem:
Firefox does not initialize plug ins when started via evolution.

Version-Release number of selected component (if applicable):
firefox-3.0-0.55.beta5.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Close Firefox
2. Open Evolution
3. Click on some link
4. In the appearing Firefox window, open about:plugins

Actual results:
No plugins are listed there: Neither Totem nor Flash.

Expected results:
Plugins should be listed. Close all Firefox instances again and start firefox
via the applications menu. Recheck. You'll notice that about:plugins lists a
bunch of plugins.

Additional info:

Comment 1 Martin Jürgens 2008-04-22 12:13:02 UTC
It does not happen when you set the default browser to Firefox in
gnome-default-applications-properties. But though having Firefox set there, it
asks you if you want it to be the default browser. If you do this, the things
above apply.

Comment 2 Bug Zapper 2008-05-14 09:56:15 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Michael Hampton 2008-05-17 13:20:10 UTC
I am seeing Firefox not load any plugins when it's loaded via its GNOME menu
entry. It doesn't load any plugins from /usr/lib64/mozilla/plugins nor from
/usr/lib64/mozilla/plugins-wrapped; however, it does load plugins from
$HOME/.mozilla/plugins.

As a workaround I have done:
ln -s /usr/lib64/mozilla/plugins-wrapped $HOME/.mozilla/plugins

And this seems to get my plugins loaded.

firefox-3.0-0.60.beta5.fc9.x86_64

Comment 4 Matěj Cepl 2008-07-26 00:05:38 UTC
Reporter, can you reproduce either your symptoms or what Michale describes in
comment 3, please, with the upgraded Firefox?

Comment 5 Michael Hampton 2008-07-26 00:31:32 UTC
This problem no longer occurs for me with firefox-3.0.1-1.fc9.x86_64 when it is
loaded from the GNOME menu entry or from /usr/bin/firefox. All my 32-bit plugins
(in fact, all of them) come up normally even without the workaround from comment #3.


Comment 6 Martin Jürgens 2008-07-26 11:33:08 UTC
Works fine for me now, too.


Note You need to log in before you can comment on or make changes to this bug.